Copyright: Created with EasyHelp (Tel: 0973 209667)


Sender/Value Sender - RG354109

Description

This block is used to provide a lazy update for information passed over the SSD LINK network.  It has a single output.

Many function blocks in the SSD LINK system send their outputs only when they change.  During system start-up and during the on-line replacement of a module, network messages are lost.  Senders are used to insure that the information in these lost messages is eventually delivered.

Senders must be used whenever messages are only sent when an output changes (e.g. the output from a switch block).

Senders are not required for messages that are sent on a regular basis (e.g. the output from control loops).

Senders are never required for connections within a module.

Parameters

Input	Input to the sender.  Expects a value (-100% to +100%).

Get Output	Returns the current value:  -100% to +100%.  (Note that if the sender has never received an input, this operation will be ignored).


Description

This block is used to provide a lazy update for information passed over the SSD LINK network.  It has a single output.

Many function blocks in the SSD LINK system send their outputs only when they change.  During system start-up and during the on-line replacement of a module, network messages are lost.  Senders are used to insure that the information in these lost messages is eventually delivered.

Senders must be used whenever messages are only sent when an output changes (e.g. the output from a switch block).

Senders are not required for messages that are sent on a regular basis (e.g. the output from control loops).

Senders are never required for connections within a module.


Parameters

Input	Input to the sender.  Expects a value (-100% to +100%).

Get Output	Returns the current value:  -100% to +100%.  (Note that if the sender has never received an input, this operation will be ignored).